Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network51.167.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
51.167.0.0
Broadcast address
51.167.127.255
First usable
51.167.0.1
Last usable
51.167.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 33A70000 · Integer 866582528 to 866615295
Reverse DNS zones
0.167.51.in-addr.arpa
1.167.51.in-addr.arpa
2.167.51.in-addr.arpa
3.167.51.in-addr.arpa
4.167.51.in-addr.arpa
5.167.51.in-addr.arpa
6.167.51.in-addr.arpa
7.167.51.in-addr.arpa
8.167.51.in-addr.arpa
9.167.51.in-addr.arpa
10.167.51.in-addr.arpa
11.167.51.in-addr.arpa
12.167.51.in-addr.arpa
13.167.51.in-addr.arpa
14.167.51.in-addr.arpa
15.167.51.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110011.10100111.00000000.0000000051.167.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00110011.10100111.00000000.0000000051.167.0.0
Broadcast00110011.10100111.01111111.1111111151.167.127.255
Split into smaller subnets/29

51.167.0.0/17 makes 4,096 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
151.167.0.0/2951.167.0.1 to 51.167.0.651.167.0.76
251.167.0.8/2951.167.0.9 to 51.167.0.1451.167.0.156
351.167.0.16/2951.167.0.17 to 51.167.0.2251.167.0.236
451.167.0.24/2951.167.0.25 to 51.167.0.3051.167.0.316
551.167.0.32/2951.167.0.33 to 51.167.0.3851.167.0.396
651.167.0.40/2951.167.0.41 to 51.167.0.4651.167.0.476
751.167.0.48/2951.167.0.49 to 51.167.0.5451.167.0.556
851.167.0.56/2951.167.0.57 to 51.167.0.6251.167.0.636
951.167.0.64/2951.167.0.65 to 51.167.0.7051.167.0.716
1051.167.0.72/2951.167.0.73 to 51.167.0.7851.167.0.796
1151.167.0.80/2951.167.0.81 to 51.167.0.8651.167.0.876
1251.167.0.88/2951.167.0.89 to 51.167.0.9451.167.0.956
1351.167.0.96/2951.167.0.97 to 51.167.0.10251.167.0.1036
1451.167.0.104/2951.167.0.105 to 51.167.0.11051.167.0.1116
1551.167.0.112/2951.167.0.113 to 51.167.0.11851.167.0.1196
1651.167.0.120/2951.167.0.121 to 51.167.0.12651.167.0.1276
1751.167.0.128/2951.167.0.129 to 51.167.0.13451.167.0.1356
1851.167.0.136/2951.167.0.137 to 51.167.0.14251.167.0.1436
1951.167.0.144/2951.167.0.145 to 51.167.0.15051.167.0.1516
2051.167.0.152/2951.167.0.153 to 51.167.0.15851.167.0.1596
2151.167.0.160/2951.167.0.161 to 51.167.0.16651.167.0.1676
2251.167.0.168/2951.167.0.169 to 51.167.0.17451.167.0.1756
2351.167.0.176/2951.167.0.177 to 51.167.0.18251.167.0.1836
2451.167.0.184/2951.167.0.185 to 51.167.0.19051.167.0.1916
2551.167.0.192/2951.167.0.193 to 51.167.0.19851.167.0.1996
2651.167.0.200/2951.167.0.201 to 51.167.0.20651.167.0.2076
2751.167.0.208/2951.167.0.209 to 51.167.0.21451.167.0.2156
2851.167.0.216/2951.167.0.217 to 51.167.0.22251.167.0.2236
2951.167.0.224/2951.167.0.225 to 51.167.0.23051.167.0.2316
3051.167.0.232/2951.167.0.233 to 51.167.0.23851.167.0.2396
3151.167.0.240/2951.167.0.241 to 51.167.0.24651.167.0.2476
3251.167.0.248/2951.167.0.249 to 51.167.0.25451.167.0.2556
3351.167.1.0/2951.167.1.1 to 51.167.1.651.167.1.76
3451.167.1.8/2951.167.1.9 to 51.167.1.1451.167.1.156
3551.167.1.16/2951.167.1.17 to 51.167.1.2251.167.1.236
3651.167.1.24/2951.167.1.25 to 51.167.1.3051.167.1.316
3751.167.1.32/2951.167.1.33 to 51.167.1.3851.167.1.396
3851.167.1.40/2951.167.1.41 to 51.167.1.4651.167.1.476
3951.167.1.48/2951.167.1.49 to 51.167.1.5451.167.1.556
4051.167.1.56/2951.167.1.57 to 51.167.1.6251.167.1.636
4151.167.1.64/2951.167.1.65 to 51.167.1.7051.167.1.716
4251.167.1.72/2951.167.1.73 to 51.167.1.7851.167.1.796
4351.167.1.80/2951.167.1.81 to 51.167.1.8651.167.1.876
4451.167.1.88/2951.167.1.89 to 51.167.1.9451.167.1.956
4551.167.1.96/2951.167.1.97 to 51.167.1.10251.167.1.1036
4651.167.1.104/2951.167.1.105 to 51.167.1.11051.167.1.1116
4751.167.1.112/2951.167.1.113 to 51.167.1.11851.167.1.1196
4851.167.1.120/2951.167.1.121 to 51.167.1.12651.167.1.1276
4951.167.1.128/2951.167.1.129 to 51.167.1.13451.167.1.1356
5051.167.1.136/2951.167.1.137 to 51.167.1.14251.167.1.1436
5151.167.1.144/2951.167.1.145 to 51.167.1.15051.167.1.1516
5251.167.1.152/2951.167.1.153 to 51.167.1.15851.167.1.1596
5351.167.1.160/2951.167.1.161 to 51.167.1.16651.167.1.1676
5451.167.1.168/2951.167.1.169 to 51.167.1.17451.167.1.1756
5551.167.1.176/2951.167.1.177 to 51.167.1.18251.167.1.1836
5651.167.1.184/2951.167.1.185 to 51.167.1.19051.167.1.1916
5751.167.1.192/2951.167.1.193 to 51.167.1.19851.167.1.1996
5851.167.1.200/2951.167.1.201 to 51.167.1.20651.167.1.2076
5951.167.1.208/2951.167.1.209 to 51.167.1.21451.167.1.2156
6051.167.1.216/2951.167.1.217 to 51.167.1.22251.167.1.2236
6151.167.1.224/2951.167.1.225 to 51.167.1.23051.167.1.2316
6251.167.1.232/2951.167.1.233 to 51.167.1.23851.167.1.2396
6351.167.1.240/2951.167.1.241 to 51.167.1.24651.167.1.2476
6451.167.1.248/2951.167.1.249 to 51.167.1.25451.167.1.2556
6551.167.2.0/2951.167.2.1 to 51.167.2.651.167.2.76
6651.167.2.8/2951.167.2.9 to 51.167.2.1451.167.2.156
6751.167.2.16/2951.167.2.17 to 51.167.2.2251.167.2.236
6851.167.2.24/2951.167.2.25 to 51.167.2.3051.167.2.316
6951.167.2.32/2951.167.2.33 to 51.167.2.3851.167.2.396
7051.167.2.40/2951.167.2.41 to 51.167.2.4651.167.2.476
7151.167.2.48/2951.167.2.49 to 51.167.2.5451.167.2.556
7251.167.2.56/2951.167.2.57 to 51.167.2.6251.167.2.636
7351.167.2.64/2951.167.2.65 to 51.167.2.7051.167.2.716
7451.167.2.72/2951.167.2.73 to 51.167.2.7851.167.2.796
7551.167.2.80/2951.167.2.81 to 51.167.2.8651.167.2.876
7651.167.2.88/2951.167.2.89 to 51.167.2.9451.167.2.956
7751.167.2.96/2951.167.2.97 to 51.167.2.10251.167.2.1036
7851.167.2.104/2951.167.2.105 to 51.167.2.11051.167.2.1116
7951.167.2.112/2951.167.2.113 to 51.167.2.11851.167.2.1196
8051.167.2.120/2951.167.2.121 to 51.167.2.12651.167.2.1276
8151.167.2.128/2951.167.2.129 to 51.167.2.13451.167.2.1356
8251.167.2.136/2951.167.2.137 to 51.167.2.14251.167.2.1436
8351.167.2.144/2951.167.2.145 to 51.167.2.15051.167.2.1516
8451.167.2.152/2951.167.2.153 to 51.167.2.15851.167.2.1596
8551.167.2.160/2951.167.2.161 to 51.167.2.16651.167.2.1676
8651.167.2.168/2951.167.2.169 to 51.167.2.17451.167.2.1756
8751.167.2.176/2951.167.2.177 to 51.167.2.18251.167.2.1836
8851.167.2.184/2951.167.2.185 to 51.167.2.19051.167.2.1916
8951.167.2.192/2951.167.2.193 to 51.167.2.19851.167.2.1996
9051.167.2.200/2951.167.2.201 to 51.167.2.20651.167.2.2076
9151.167.2.208/2951.167.2.209 to 51.167.2.21451.167.2.2156
9251.167.2.216/2951.167.2.217 to 51.167.2.22251.167.2.2236
9351.167.2.224/2951.167.2.225 to 51.167.2.23051.167.2.2316
9451.167.2.232/2951.167.2.233 to 51.167.2.23851.167.2.2396
9551.167.2.240/2951.167.2.241 to 51.167.2.24651.167.2.2476
9651.167.2.248/2951.167.2.249 to 51.167.2.25451.167.2.2556
9751.167.3.0/2951.167.3.1 to 51.167.3.651.167.3.76
9851.167.3.8/2951.167.3.9 to 51.167.3.1451.167.3.156
9951.167.3.16/2951.167.3.17 to 51.167.3.2251.167.3.236
10051.167.3.24/2951.167.3.25 to 51.167.3.3051.167.3.316
10151.167.3.32/2951.167.3.33 to 51.167.3.3851.167.3.396
10251.167.3.40/2951.167.3.41 to 51.167.3.4651.167.3.476
10351.167.3.48/2951.167.3.49 to 51.167.3.5451.167.3.556
10451.167.3.56/2951.167.3.57 to 51.167.3.6251.167.3.636
10551.167.3.64/2951.167.3.65 to 51.167.3.7051.167.3.716
10651.167.3.72/2951.167.3.73 to 51.167.3.7851.167.3.796
10751.167.3.80/2951.167.3.81 to 51.167.3.8651.167.3.876
10851.167.3.88/2951.167.3.89 to 51.167.3.9451.167.3.956
10951.167.3.96/2951.167.3.97 to 51.167.3.10251.167.3.1036
11051.167.3.104/2951.167.3.105 to 51.167.3.11051.167.3.1116
11151.167.3.112/2951.167.3.113 to 51.167.3.11851.167.3.1196
11251.167.3.120/2951.167.3.121 to 51.167.3.12651.167.3.1276
11351.167.3.128/2951.167.3.129 to 51.167.3.13451.167.3.1356
11451.167.3.136/2951.167.3.137 to 51.167.3.14251.167.3.1436
11551.167.3.144/2951.167.3.145 to 51.167.3.15051.167.3.1516
11651.167.3.152/2951.167.3.153 to 51.167.3.15851.167.3.1596
11751.167.3.160/2951.167.3.161 to 51.167.3.16651.167.3.1676
11851.167.3.168/2951.167.3.169 to 51.167.3.17451.167.3.1756
11951.167.3.176/2951.167.3.177 to 51.167.3.18251.167.3.1836
12051.167.3.184/2951.167.3.185 to 51.167.3.19051.167.3.1916
12151.167.3.192/2951.167.3.193 to 51.167.3.19851.167.3.1996
12251.167.3.200/2951.167.3.201 to 51.167.3.20651.167.3.2076
12351.167.3.208/2951.167.3.209 to 51.167.3.21451.167.3.2156
12451.167.3.216/2951.167.3.217 to 51.167.3.22251.167.3.2236
12551.167.3.224/2951.167.3.225 to 51.167.3.23051.167.3.2316
12651.167.3.232/2951.167.3.233 to 51.167.3.23851.167.3.2396
12751.167.3.240/2951.167.3.241 to 51.167.3.24651.167.3.2476
12851.167.3.248/2951.167.3.249 to 51.167.3.25451.167.3.2556
12951.167.4.0/2951.167.4.1 to 51.167.4.651.167.4.76
13051.167.4.8/2951.167.4.9 to 51.167.4.1451.167.4.156
13151.167.4.16/2951.167.4.17 to 51.167.4.2251.167.4.236
13251.167.4.24/2951.167.4.25 to 51.167.4.3051.167.4.316
13351.167.4.32/2951.167.4.33 to 51.167.4.3851.167.4.396
13451.167.4.40/2951.167.4.41 to 51.167.4.4651.167.4.476
13551.167.4.48/2951.167.4.49 to 51.167.4.5451.167.4.556
13651.167.4.56/2951.167.4.57 to 51.167.4.6251.167.4.636
13751.167.4.64/2951.167.4.65 to 51.167.4.7051.167.4.716
13851.167.4.72/2951.167.4.73 to 51.167.4.7851.167.4.796
13951.167.4.80/2951.167.4.81 to 51.167.4.8651.167.4.876
14051.167.4.88/2951.167.4.89 to 51.167.4.9451.167.4.956
14151.167.4.96/2951.167.4.97 to 51.167.4.10251.167.4.1036
14251.167.4.104/2951.167.4.105 to 51.167.4.11051.167.4.1116
14351.167.4.112/2951.167.4.113 to 51.167.4.11851.167.4.1196
14451.167.4.120/2951.167.4.121 to 51.167.4.12651.167.4.1276
14551.167.4.128/2951.167.4.129 to 51.167.4.13451.167.4.1356
14651.167.4.136/2951.167.4.137 to 51.167.4.14251.167.4.1436
14751.167.4.144/2951.167.4.145 to 51.167.4.15051.167.4.1516
14851.167.4.152/2951.167.4.153 to 51.167.4.15851.167.4.1596
14951.167.4.160/2951.167.4.161 to 51.167.4.16651.167.4.1676
15051.167.4.168/2951.167.4.169 to 51.167.4.17451.167.4.1756
15151.167.4.176/2951.167.4.177 to 51.167.4.18251.167.4.1836
15251.167.4.184/2951.167.4.185 to 51.167.4.19051.167.4.1916
15351.167.4.192/2951.167.4.193 to 51.167.4.19851.167.4.1996
15451.167.4.200/2951.167.4.201 to 51.167.4.20651.167.4.2076
15551.167.4.208/2951.167.4.209 to 51.167.4.21451.167.4.2156
15651.167.4.216/2951.167.4.217 to 51.167.4.22251.167.4.2236
15751.167.4.224/2951.167.4.225 to 51.167.4.23051.167.4.2316
15851.167.4.232/2951.167.4.233 to 51.167.4.23851.167.4.2396
15951.167.4.240/2951.167.4.241 to 51.167.4.24651.167.4.2476
16051.167.4.248/2951.167.4.249 to 51.167.4.25451.167.4.2556
16151.167.5.0/2951.167.5.1 to 51.167.5.651.167.5.76
16251.167.5.8/2951.167.5.9 to 51.167.5.1451.167.5.156
16351.167.5.16/2951.167.5.17 to 51.167.5.2251.167.5.236
16451.167.5.24/2951.167.5.25 to 51.167.5.3051.167.5.316
16551.167.5.32/2951.167.5.33 to 51.167.5.3851.167.5.396
16651.167.5.40/2951.167.5.41 to 51.167.5.4651.167.5.476
16751.167.5.48/2951.167.5.49 to 51.167.5.5451.167.5.556
16851.167.5.56/2951.167.5.57 to 51.167.5.6251.167.5.636
16951.167.5.64/2951.167.5.65 to 51.167.5.7051.167.5.716
17051.167.5.72/2951.167.5.73 to 51.167.5.7851.167.5.796
17151.167.5.80/2951.167.5.81 to 51.167.5.8651.167.5.876
17251.167.5.88/2951.167.5.89 to 51.167.5.9451.167.5.956
17351.167.5.96/2951.167.5.97 to 51.167.5.10251.167.5.1036
17451.167.5.104/2951.167.5.105 to 51.167.5.11051.167.5.1116
17551.167.5.112/2951.167.5.113 to 51.167.5.11851.167.5.1196
17651.167.5.120/2951.167.5.121 to 51.167.5.12651.167.5.1276
17751.167.5.128/2951.167.5.129 to 51.167.5.13451.167.5.1356
17851.167.5.136/2951.167.5.137 to 51.167.5.14251.167.5.1436
17951.167.5.144/2951.167.5.145 to 51.167.5.15051.167.5.1516
18051.167.5.152/2951.167.5.153 to 51.167.5.15851.167.5.1596
18151.167.5.160/2951.167.5.161 to 51.167.5.16651.167.5.1676
18251.167.5.168/2951.167.5.169 to 51.167.5.17451.167.5.1756
18351.167.5.176/2951.167.5.177 to 51.167.5.18251.167.5.1836
18451.167.5.184/2951.167.5.185 to 51.167.5.19051.167.5.1916
18551.167.5.192/2951.167.5.193 to 51.167.5.19851.167.5.1996
18651.167.5.200/2951.167.5.201 to 51.167.5.20651.167.5.2076
18751.167.5.208/2951.167.5.209 to 51.167.5.21451.167.5.2156
18851.167.5.216/2951.167.5.217 to 51.167.5.22251.167.5.2236
18951.167.5.224/2951.167.5.225 to 51.167.5.23051.167.5.2316
19051.167.5.232/2951.167.5.233 to 51.167.5.23851.167.5.2396
19151.167.5.240/2951.167.5.241 to 51.167.5.24651.167.5.2476
19251.167.5.248/2951.167.5.249 to 51.167.5.25451.167.5.2556
19351.167.6.0/2951.167.6.1 to 51.167.6.651.167.6.76
19451.167.6.8/2951.167.6.9 to 51.167.6.1451.167.6.156
19551.167.6.16/2951.167.6.17 to 51.167.6.2251.167.6.236
19651.167.6.24/2951.167.6.25 to 51.167.6.3051.167.6.316
19751.167.6.32/2951.167.6.33 to 51.167.6.3851.167.6.396
19851.167.6.40/2951.167.6.41 to 51.167.6.4651.167.6.476
19951.167.6.48/2951.167.6.49 to 51.167.6.5451.167.6.556
20051.167.6.56/2951.167.6.57 to 51.167.6.6251.167.6.636
20151.167.6.64/2951.167.6.65 to 51.167.6.7051.167.6.716
20251.167.6.72/2951.167.6.73 to 51.167.6.7851.167.6.796
20351.167.6.80/2951.167.6.81 to 51.167.6.8651.167.6.876
20451.167.6.88/2951.167.6.89 to 51.167.6.9451.167.6.956
20551.167.6.96/2951.167.6.97 to 51.167.6.10251.167.6.1036
20651.167.6.104/2951.167.6.105 to 51.167.6.11051.167.6.1116
20751.167.6.112/2951.167.6.113 to 51.167.6.11851.167.6.1196
20851.167.6.120/2951.167.6.121 to 51.167.6.12651.167.6.1276
20951.167.6.128/2951.167.6.129 to 51.167.6.13451.167.6.1356
21051.167.6.136/2951.167.6.137 to 51.167.6.14251.167.6.1436
21151.167.6.144/2951.167.6.145 to 51.167.6.15051.167.6.1516
21251.167.6.152/2951.167.6.153 to 51.167.6.15851.167.6.1596
21351.167.6.160/2951.167.6.161 to 51.167.6.16651.167.6.1676
21451.167.6.168/2951.167.6.169 to 51.167.6.17451.167.6.1756
21551.167.6.176/2951.167.6.177 to 51.167.6.18251.167.6.1836
21651.167.6.184/2951.167.6.185 to 51.167.6.19051.167.6.1916
21751.167.6.192/2951.167.6.193 to 51.167.6.19851.167.6.1996
21851.167.6.200/2951.167.6.201 to 51.167.6.20651.167.6.2076
21951.167.6.208/2951.167.6.209 to 51.167.6.21451.167.6.2156
22051.167.6.216/2951.167.6.217 to 51.167.6.22251.167.6.2236
22151.167.6.224/2951.167.6.225 to 51.167.6.23051.167.6.2316
22251.167.6.232/2951.167.6.233 to 51.167.6.23851.167.6.2396
22351.167.6.240/2951.167.6.241 to 51.167.6.24651.167.6.2476
22451.167.6.248/2951.167.6.249 to 51.167.6.25451.167.6.2556
22551.167.7.0/2951.167.7.1 to 51.167.7.651.167.7.76
22651.167.7.8/2951.167.7.9 to 51.167.7.1451.167.7.156
22751.167.7.16/2951.167.7.17 to 51.167.7.2251.167.7.236
22851.167.7.24/2951.167.7.25 to 51.167.7.3051.167.7.316
22951.167.7.32/2951.167.7.33 to 51.167.7.3851.167.7.396
23051.167.7.40/2951.167.7.41 to 51.167.7.4651.167.7.476
23151.167.7.48/2951.167.7.49 to 51.167.7.5451.167.7.556
23251.167.7.56/2951.167.7.57 to 51.167.7.6251.167.7.636
23351.167.7.64/2951.167.7.65 to 51.167.7.7051.167.7.716
23451.167.7.72/2951.167.7.73 to 51.167.7.7851.167.7.796
23551.167.7.80/2951.167.7.81 to 51.167.7.8651.167.7.876
23651.167.7.88/2951.167.7.89 to 51.167.7.9451.167.7.956
23751.167.7.96/2951.167.7.97 to 51.167.7.10251.167.7.1036
23851.167.7.104/2951.167.7.105 to 51.167.7.11051.167.7.1116
23951.167.7.112/2951.167.7.113 to 51.167.7.11851.167.7.1196
24051.167.7.120/2951.167.7.121 to 51.167.7.12651.167.7.1276
24151.167.7.128/2951.167.7.129 to 51.167.7.13451.167.7.1356
24251.167.7.136/2951.167.7.137 to 51.167.7.14251.167.7.1436
24351.167.7.144/2951.167.7.145 to 51.167.7.15051.167.7.1516
24451.167.7.152/2951.167.7.153 to 51.167.7.15851.167.7.1596
24551.167.7.160/2951.167.7.161 to 51.167.7.16651.167.7.1676
24651.167.7.168/2951.167.7.169 to 51.167.7.17451.167.7.1756
24751.167.7.176/2951.167.7.177 to 51.167.7.18251.167.7.1836
24851.167.7.184/2951.167.7.185 to 51.167.7.19051.167.7.1916
24951.167.7.192/2951.167.7.193 to 51.167.7.19851.167.7.1996
25051.167.7.200/2951.167.7.201 to 51.167.7.20651.167.7.2076
25151.167.7.208/2951.167.7.209 to 51.167.7.21451.167.7.2156
25251.167.7.216/2951.167.7.217 to 51.167.7.22251.167.7.2236
25351.167.7.224/2951.167.7.225 to 51.167.7.23051.167.7.2316
25451.167.7.232/2951.167.7.233 to 51.167.7.23851.167.7.2396
25551.167.7.240/2951.167.7.241 to 51.167.7.24651.167.7.2476
25651.167.7.248/2951.167.7.249 to 51.167.7.25451.167.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses